Package xg.md

# Interface ProtocolMetadata.protocolIdentityOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ProtocolMetadata.protocolIdentity`, `ProtocolMetadata.protocolIdentity.Builder`

Enclosing class:
  ProtocolMetadata

public static interface ProtocolMetadata.protocolIdentityOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ProtocolMetadata.protocolIdentity.anonymousIdentity`
`getAnonymousIdentity()`
anonymous identity
`ProtocolMetadata.protocolIdentity.anonymousIdentityOrBuilder`
`getAnonymousIdentityOrBuilder()`
anonymous identity
`ProtocolMetadata.protocolIdentity.certFingerprintIdentity`
`getCertFingerprintIdentity()`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity.certFingerprintIdentityOrBuilder`
`getCertFingerprintIdentityOrBuilder()`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity.hostnameIdentity`
`getHostnameIdentity()`
hostname identity
`ProtocolMetadata.protocolIdentity.hostnameIdentityOrBuilder`
`getHostnameIdentityOrBuilder()`
hostname identity
`ProtocolMetadata.protocolIdentity.IdentityCase`
`getIdentityCase()`
`ProtocolMetadata.protocolIdentity.identityType`
`getType()`
The type of the identity
`int`
`getTypeValue()`
The type of the identity
`boolean`
`hasAnonymousIdentity()`
anonymous identity
`boolean`
`hasCertFingerprintIdentity()`
cert fingerprint identity
`boolean`
`hasHostnameIdentity()`
hostname identity

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getTypeValue

int getTypeValue()

     The type of the identity

`.xg.md.protocolIdentity.identityType type = 1;`

Returns:
  The enum numeric value on the wire for type.

### getType

ProtocolMetadata.protocolIdentity.identityType getType()

     The type of the identity

`.xg.md.protocolIdentity.identityType type = 1;`

Returns:
  The type.

### hasHostnameIdentity

boolean hasHostnameIdentity()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

Returns:
  Whether the hostnameIdentity field is set.

### getHostnameIdentity

ProtocolMetadata.protocolIdentity.hostnameIdentity getHostnameIdentity()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

Returns:
  The hostnameIdentity.

### getHostnameIdentityOrBuilder

ProtocolMetadata.protocolIdentity.hostnameIdentityOrBuilder getHostnameIdentityOrBuilder()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

### hasAnonymousIdentity

boolean hasAnonymousIdentity()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

Returns:
  Whether the anonymousIdentity field is set.

### getAnonymousIdentity

ProtocolMetadata.protocolIdentity.anonymousIdentity getAnonymousIdentity()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

Returns:
  The anonymousIdentity.

### getAnonymousIdentityOrBuilder

ProtocolMetadata.protocolIdentity.anonymousIdentityOrBuilder getAnonymousIdentityOrBuilder()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

### hasCertFingerprintIdentity

boolean hasCertFingerprintIdentity()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

Returns:
  Whether the certFingerprintIdentity field is set.

### getCertFingerprintIdentity

ProtocolMetadata.protocolIdentity.certFingerprintIdentity getCertFingerprintIdentity()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

Returns:
  The certFingerprintIdentity.

### getCertFingerprintIdentityOrBuilder

ProtocolMetadata.protocolIdentity.certFingerprintIdentityOrBuilder getCertFingerprintIdentityOrBuilder()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

### getIdentityCase

ProtocolMetadata.protocolIdentity.IdentityCase getIdentityCase()